//Code by General
package BattledroidAppearance
{
	function GameConnection::applyBodyParts(%client)
	{
		Parent::applyBodyParts(%client);
		if(%client.player.dataBlock $= "PlayerBattleDroidArmor" || %client.player.dataBlock $= "PlayerNoJetBattleDroid")
		{
            %client.player.HideNode("ALL");
            %client.player.unhideNode(headSkin);
            %client.player.unhideNode(pants);
            %client.player.unhideNode(chest);
            %client.player.unhideNode(larm);
            %client.player.unhideNode(rarm);
            %client.player.unhideNode(rhand);

			if(%client.pack == 1)
				%client.player.unHideNode(armor);
			if(%client.pack == 4)
				%client.player.unHideNode(pack);
			if(%client.pack == 6)
				%client.player.unHideNode(tank);
			
			if(%client.secondPack == 1)
				%client.player.unHideNode(epaulets);
			if(%client.secondPack == 2)
				%client.player.unHideNode(epauletsRankA);
			if(%client.secondPack == 3)
				%client.player.unHideNode(epauletsRankB);
			if(%client.secondPack == 4)
				%client.player.unHideNode(epauletsRankC);
			if(%client.secondPack == 5)
				%client.player.unHideNode(epauletsRankD);
			if(%client.secondPack == 6)
				%client.player.unHideNode(ShoulderPads);
		}
	}
	
	function GameConnection::applyBodyColors(%client)
	{
		Parent::applyBodyColors(%client);
		if(%client.player.dataBlock $= "PlayerBattleDroidArmor" || %client.player.dataBlock $= "PlayerNoJetBattleDroid")
		{
			//Right Arm
			%client.player.setNodeColor("Rarm",%client.RArmColor);
			%client.player.setNodeColor("Rhand",%client.RArmColor);
			//Left Arm
			%client.player.setNodeColor("Larm",%client.LArmColor);
			//Head
			%client.player.setNodeColor("headSkin",%client.headcolor);
			//Legs
			%client.player.setNodeColor("pants",%client.hipColor);
			//Torso
			%client.player.setNodeColor("chest",%client.chestColor);	       
			//Epaulets
			%client.player.setNodeColor("epaulets",%client.secondPackColor);
			%client.player.setNodeColor("epauletsRankA",%client.secondPackColor);
			%client.player.setNodeColor("epauletsRankB",%client.secondPackColor);
			%client.player.setNodeColor("epauletsRankC",%client.secondPackColor);
			%client.player.setNodeColor("epauletsRankD",%client.secondPackColor);
			%client.player.setNodeColor("shoulderPads",%client.secondPackColor);
			//Packs
			%client.player.setNodeColor("tank",%client.packColor);
			%client.player.setNodeColor("pack",%client.packColor);
			%client.player.setNodeColor("armor",%client.packColor);
		}
	}
};
deactivatePackage(BattleDroidAppearance);
	activatePackage(BattleDroidAppearance);

//exec("Add-Ons/Player_Brute/Player_Brute.cs");

exec("./Player_BattleDroid.cs");
exec("./Player_BattleDroidNoJet.cs");